none
WPF开发问题 RRS feed

  • 问题

  • 下一版本软件开发打算WPF用界面,有下面几个问题来请大家帮忙解答一下!

    1.WPF底层时使用Directx来渲染,在系统安装的时候Directx是不是就安装上了?什么Directx版本支持WPF

    2.我的系统是WindowsXP SP3 下安装 Net 3.5 和Net 4.0总是失败!

    错误码error code: (0x80070643), "安装时发生严重错误 " (Elapsed time: 0 00:01:51).


    hou
    2010年11月30日 2:39

答案

  • 你好,

    1. WPF底层时使用Directx来渲染,在系统安装的时候Directx是不是就安装上了?什么Directx版本支持WPF

    WPF对操作系统和.Net环境有要求,你可以参照这篇老外的文章:http://www.fernicola.org/loquitor/index.php?/archives/21-guid.html。但是对于DX要求,只需要相应DX函数存在就可以了, .Net来做了一些调用底层DX方法的事情,所以我觉得他会使用些最基本的DX方法,对于版本,需要9.0,也不需要最新的,系统默认安装的DX足够了 你看下这篇文章,他写的会比较清楚:http://www.wpftutorial.net/Requirements.html

     

    第二个问题你还是去 .Net 安装的论坛问吧,这个问题和WPF没有关系,这边很难得到答复的。还有如果只提供这些错误代码,是很难帮你解决问题的,最好你能提供详细的安装日志和你的环境配置,这样论坛里面的高手才会可以帮你来排查,否则是没有人能够猜得出原因的。

    下面是.Net 安装的英文论坛,你可以去问问:http://social.msdn.microsoft.com/Forums/en-us/netfxsetup/threads

    Jarrey

     


    Best day, Best life
    • 已标记为答案 houxian 2010年12月2日 7:25
    2010年11月30日 13:06